<?php

    require_once("{$sitepath}autentificare.php");
    require_once("{$sitepath}pagecomponents.php");

    check_auth();
    
    if (!isset($run_from_service))
    {
        $msg_id_aplicatie = getuserdata('msg_id_aplicatie', 0);
        $msg_id_fisier = getuserdata('msg_id_fisier', 0);
        $msg_text = getuserdata('msg_text', '');
    }
    
    $date = getuserdata('date');
    if ($date) $date = get_mysql_date($date);
          else $date = time();

    $errorMessage = "";
    
    echo "\n<iframe id='upload_target' name='upload_target' src='#' style='width:0;height:0;border:0px solid #fff;'></iframe>";

    echo "\n<div class='right_content'>";
    $sqlFisiere = "SELECT f.*, c.categorie FROM fisiere f
                       LEFT JOIN categorii_fisiere c ON c.id_categorie = f.id_categorie
                   WHERE id_utilizator_destinatie = {$_SESSION['s_id_utilizator']} 
                       AND id_aplicatie IS NULL
                   ORDER BY IFNULL(c.nr_crt, 100000), data_incarcare DESC";
    $qFisiere = mysql_query($sqlFisiere);
    echo mysql_error();
    echo "<div class='fisiere_cjas'>";
    echo "<div class='titlu'>Fişiere trimise de CJAS</div>";
    $categorie_veche = '';
    while ($rFisiere = mysql_fetch_assoc($qFisiere))
    {
        if ($rFisiere['categorie'] != $categorie_veche)
        {
            echo "<h4>{$rFisiere['categorie']}</h4>";
            $categorie_veche = $rFisiere['categorie'];
        }
        $textFisiere = "<div class='topmargin'>";
        if ((int)$rFisiere['stare'] == 1) $textFisiere .= '<b>';
        $textFisiere .= "<a href='{$siteroot}scripts/service.php?func=getFisier&id={$rFisiere['id_fisier']}' target='upload_target'>";
        $textFisiere .= "{$rFisiere['nume_original']}</a>";
        if ((int)$rFisiere['stare'] > 1) $textFisiere .= '</b>';
        $textFisiere .= "</div>";
        echo $textFisiere;
    }
    echo "</div>";
    echo "</div>";



    echo "\n<div class='left_content'>";
    $sqlAplicatii = "\nSELECT ".
                    "\n    a.*, g.drepturi ".
                    "\nFROM utilizatori u ".
                    "\n    JOIN utilizatorixgrupuri ug ON ug.id_utilizator = u.id_utilizator AND ug.activ = 1 ".
                    "\n    JOIN grupuri g ON g.id_grup = ug.id_grup AND g.activ = 1 AND g.drepturi = 1 ".
                    "\n    JOIN grupurixaplicatii ga ON ga.id_grup = g.id_grup AND ga.activ = 1 ".
                    "\n    JOIN aplicatii a ON a.id_aplicatie = ga.id_aplicatie AND a.activ = 1 ".
                    "\nWHERE u.id_utilizator = ".$_SESSION['s_id_utilizator']." ".
                    "\n    AND u.activ = 1 ".
                    "\nORDER BY a.ordine";
    $qAplicatii = mysql_query($sqlAplicatii);
    echo mysql_error();
    while ($rAplicatii = mysql_fetch_assoc($qAplicatii))
    {
        if ($rAplicatii['drepturi'] != 1)
        {
            echo "Nu aveţi drepturile necesare pentru a accesa această pagina!";
            exit;
        }
        $stilDiv = ""; 
        $stilTitlu = "";
        if ($rAplicatii['culoare_fundal'])
        {
            $stilDiv .= 'border-color: '.$rAplicatii['culoare_fundal'];
            $stilTitlu .= 'background-color: '.$rAplicatii['culoare_fundal'];
        } 
        if ($rAplicatii['culoare_text'])
            $stilTitlu .= (($stilTitlu)?'; ':'').' color: '.$rAplicatii['culoare_text'];
        echo "\n<div class='aplicatie'".(($stilDiv)?" style='$stilDiv'":"").">";
        echo "\n    <div class='titlu'".(($stilTitlu)?" style='$stilTitlu'":"").">".$rAplicatii['aplicatie']."</div>";
        // Preiau perioadele curente/viitoare
        echo "\n    <div class='raportare_curenta' id='app{$rAplicatii['id_aplicatie']}curent'>";
        $sqlRaportare = "\nSELECT
                         \n    *
                         \nFROM aplicatii a
                         \n    JOIN aplicatiixtip_perioade tp ON tp.id_aplicatie = a.id_aplicatie
                         \n    JOIN perioade p ON p.id_tip_perioada = tp.id_tip_perioada
                         \n        AND CURRENT_DATE() >= DATE(p.data_inceput)
                         \nWHERE a.id_aplicatie = {$rAplicatii['id_aplicatie']}
                         \nLIMIT 0,1";
        $qRaportare = mysql_query($sqlRaportare);
        if (mysql_num_rows($qRaportare))
        {
            if ($rRaportare = mysql_fetch_assoc($qRaportare))
            {
                echo "\n<h2>Luna ".luna($rRaportare['luna'])."&nbsp;".$rRaportare['anul']."</h2>";
                echo "\n<table class='raportare'>";
                echo "\n    <thead>";
                echo "\n        <tr class='bottomborder'>";
                echo "\n            <th>Fişier</th>".
                                   "<th style='width: 110px'>Stare</th>".
                                   "<th style='width: 100px'>Data încărcării</th>".
                                   "<th style='width: 60px'>&nbsp;</th>";
                echo "\n        </tr>";
                echo "\n    </thead>";
                echo "\n    <tbody>";
                $textFisiere = "";
                $textPerioada = "";
                $numarRanduri = 0;
                $sqlFisiere = "SELECT
                                   f.*
                               FROM fisiere f
                                   JOIN utilizatori u ON u.id_utilizator = f.id_utilizator_sursa
                               WHERE f.id_aplicatie = {$rAplicatii['id_aplicatie']}
                                   AND f.id_perioada = {$rRaportare['id_perioada']}
                                   AND f.id_utilizator_sursa = {$_SESSION['s_id_utilizator']}
                               ORDER BY data_incarcare ASC";
                $qFisiere = mysql_query($sqlFisiere);
                $raportare_incheiata = false;
                echo mysql_error();
                while ($rFisiere = mysql_fetch_assoc($qFisiere))
                {
                    $numarRanduri++;
                    $textFisiere = "<tr><td class='".(($numarRanduri == 1)?'topborder ':'topmargin ').
                                    "fisiere'><div class='rap{$rFisiere['stare']}'>";
                    if ((int)$rFisiere['stare'] == 1) $textFisiere .= '<b>';
                    $textFisiere .= "<a href='{$siteroot}scripts/service.php?func=getFisier&id={$rFisiere['id_fisier']}' target='upload_target'>";
                    $textFisiere .= "{$rFisiere['nume_original']}</a>";
                    if ((int)$rFisiere['stare'] > 1) $textFisiere .= '</b>';
                    $textFisiere .= "</div></td>";
                    $textFisiere .= "<td class='S{$rFisiere['stare']}".
                                    (($numarRanduri == 1)?' topborder':' topmargin')."'>";
                    switch ($rFisiere['stare'])
                    {
                        case 1:  $textFisiere .= "încărcat"; break;
                        case 2:  $textFisiere .= "în curs de validare"; break;
                        case 3:  $textFisiere .= "validat"; break;
                        case 4:  $textFisiere .= "respins"; break;
                        default: $textFisiere .= "stare necunoscută";
                    }
                    $textFisiere .= "</td><td class='".(($numarRanduri == 1)?' topborder':' topmargin')."'>";
                    $textFisiere .= get_formatted_mysql_datetime($rFisiere['data_incarcare'], false);
                    $textFisiere .= "</td>";
                    $textFisiere .= "<td>&nbsp;&nbsp;&nbsp;";
                    if ((int)$rFisiere['stare'] == 1)
                    {
                        $textFisiere .= "<a href='#peloc' title='Înlocuieşte fişierul...' onclick=\"clearTimeout(timerRaportor); document.getElementById('tr{$rFisiere['id_fisier']}upload').style.display = 'table-row';\">".
                                        "<img src='{$imagesroot}file_replace.png'></a>&nbsp;&nbsp;&nbsp;";
                        $textFisiere .= "<a href='#peloc' title='Şterge fişierul' onclick='clearTimeout(timerRaportor); stergeFisier({$rFisiere['id_fisier']})'>".
                                        "<img src='{$imagesroot}file_delete.png'></a>";
                    }
                    $textFisiere .= "</td></tr>";
                    echo $textFisiere;
                    
                    // Afisare formular upload
                    if ($rFisiere['stare'] == 1)
                    {
                        echo "<tr id='tr{$rFisiere['id_fisier']}upload' style='display: none'>";
                        echo "<td colspan='4'>";
                        if ($msg_id_fisier == $rFisiere['id_fisier'])
                            echo "<p>$msg_text</p>";
                        echo "<div id='fis{$rFisiere['id_fisier']}upload' class='upload'>";
                        echo "<form action='{$siteroot}scripts/incarcaFisier.php' method='POST' enctype='multipart/form-data' target='upload_target' onsubmit='inlocuiesteFisier({$rFisiere['id_fisier']});'>";
                        echo "<p id='fis{$rFisiere['id_fisier']}upload_progress' style='display: none'>";
                        echo "Se încarcă fişierul...<br/><img src='{$imagesroot}loader.gif' /><br />";
                        echo "<input type='button' onclick='anuleazaIncarcareFisier()' value='Anulează' />";
                        echo "</p>";
                        echo "<p id='fis{$rFisiere['id_fisier']}upload_form'>";
                        echo "Încarcă alt fişier de raportare: ";
                        echo "<input type='file' name='fis{$rFisiere['id_fisier']}fisier' id='fis{$rFisiere['id_fisier']}fisier' onclick='clearTimeout(timerRaportor);'/>";
                        echo "<input type='hidden' name='id_fisier_vechi' value='{$rFisiere['id_fisier']}' />";
                        echo "<input type='submit' name='submit' value='Încarcă' onclick='clearTimeout(timerRaportor);'/>";
                        echo "</p>";
                        echo "</form>";
                        echo "</div>";              
                        echo "</td></tr>";
                    }
                    
                    // Afisare fisiere raspuns
                    $sqlFisiereRaspuns = "SELECT 
                                              f.*
                                          FROM fisiere f
                                          WHERE f.id_fisier_referinta = {$rFisiere['id_fisier']}
                                          ORDER BY data_incarcare ASC";
                    $qFisiereRaspuns = mysql_query($sqlFisiereRaspuns);
                    $i = 0;
                    while ($rFisiereRaspuns = mysql_fetch_assoc($qFisiereRaspuns))
                    {
                        $i++;
                        $textFisiere = "<tr><td class='fisiere' colspan='2'";
                        if (mysql_num_rows($qFisiereRaspuns) == $i) $textFisiere .= " style='padding-bottom: 10px'";
                        $textFisiere .= ">";
                        $textFisiere .= "<div style='margin-left: 30px'>";
                        if ((int)$rFisiereRaspuns['stare'] == 1) $textFisiere .= '<b>';
                        $textFisiere .= "<a href='{$siteroot}scripts/service.php?func=getFisier&id={$rFisiereRaspuns['id_fisier']}' target='upload_target'>";
                        $textFisiere .= "{$rFisiereRaspuns['nume_original']}</a>";
                        if ((int)$rFisiereRaspuns['stare'] > 1) $textFisiere .= '</b>';
                        $textFisiere .= "</div></td>";
                        $textFisiere .= "</td><td>";
                        $textFisiere .= get_formatted_mysql_datetime($rFisiereRaspuns['data_incarcare'], false);
                        $textFisiere .= "</td></tr>";
                        echo $textFisiere;
                    }
                    
                    //if ($rFisiere['stare'] < 4) $raportare_incheiata = true;
                }
                echo "</tr>";
                
                // Afisare programare, daca exista
                $qProgramare = mysql_query("SELECT *
                                            FROM programari p
                                                JOIN perioade r ON r.id_perioada = p.id_perioada
                                                JOIN utilizatori u ON u.id_utilizator = p.id_utilizator_destinatie
                                            WHERE r.id_perioada = {$rRaportare['id_perioada']} 
                                                AND u.id_utilizator = {$_SESSION['s_id_utilizator']}");
                if ($rProgramare = mysql_fetch_assoc($qProgramare))
                {
                    echo "<tr><td colspan='4' class='programare'><div>";
                    echo "Ați fost programat pentru depunerea actelor în data de <b>".
                         date('d.m.Y', get_mysql_datetime($rProgramare['data_programare']))."</b>, ora <b>".
                         date('H:i', get_mysql_datetime($rProgramare['data_programare']))."</b>";
                    echo "</div></td></tr>";
                }
                
                // Afisare formular upload fisiere noi
                if (!$raportare_incheiata)
                {
                    echo "<tr><td colspan='4' class='topborder'>";
                    if ($msg_id_aplicatie == $rAplicatii['id_aplicatie'])
                        echo "<p>$msg_text</p>";
                    echo "<div id='app{$rAplicatii['id_aplicatie']}upload' class='upload'>";
                    echo "<form action='{$siteroot}scripts/incarcaFisier.php' method='POST' enctype='multipart/form-data' target='upload_target' onsubmit='incarcaFisier({$rAplicatii['id_aplicatie']});'>";
                    echo "<p id='app{$rAplicatii['id_aplicatie']}upload_progress' style='display: none'>";
                    echo "Se încarcă fişierul...<br/><img src='{$imagesroot}loader.gif' /><br />";
                    echo "<input type='button' onclick='anuleazaIncarcareFisier()' value='Anulează' />";
                    echo "</p>";
                    echo "<p id='app{$rAplicatii['id_aplicatie']}upload_form'>";
                    echo "Încarcă un fişier de raportare: ";
                    echo "<input type='file' name='app{$rAplicatii['id_aplicatie']}fisier' id='app{$rAplicatii['id_aplicatie']}fisier' onclick='clearTimeout(timerRaportor);'/>";
                    echo "<input type='hidden' name='id_aplicatie' value='{$rAplicatii['id_aplicatie']}' />";
                    echo "<input type='hidden' name='id_perioada' value='{$rRaportare['id_perioada']}' />";
                    echo "<input type='submit' name='submit' value='Încarcă' onclick='clearTimeout(timerRaportor);'/>";
                    echo "</p>";
                    echo "</form>";
                    echo "</div>";
                    echo "</td></tr>";
                }

                echo "\n    </tbody>";
                echo "\n</table>";
            }
        }
        echo "\n    </div>";
        // Preiau ultimele 5 raportari efectuate
        echo "\n    <div class='raportari_vechi' id='app{$rAplicatii['id_aplicatie']}vechi'>";
        echo "\n    <p><a href='#peloc' onclick=''>Arhivă &raquo;&raquo;</a></p>";
        echo "\n    </div>";
        echo "\n</div>";
    }
    if (!mysql_num_rows($qAplicatii))
    {
        echo "<p style='color: red'>Nu aveți drepturile necesare pentru a accesa această pagină!</p?";
        exit;
    }

    
?>